# CoinMetricsClient.get\_snapshots\_of\_asset\_metric\_constituents

```python
coinmetrics.api_client.CoinMetricsClient.get_snapshots_of_asset_metric_constituents(
    metric,
    at_time=None,
    end_time=None,
    start_time=None,
    next_page_token=None,
    page_size=None,
    paging_from=None,
    format=None,
)
```

Returns snapshots of asset metric constituents. Results are sorted by tuple (time, constituent\_name), where constituent\_name depends on a target metric. E.g., the volume\_trusted\_spot\_usd\_1d metric constituents are exchanges, i.e. the output will be sorted by (time, exchange).

* **Parameters:**
  * **metric** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- Target metric name.
  * **at\_time** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Returns constituents at a specified date. Value now can be specified to get the current constituents. Mutually exclusive with start\_time and/or end\_time.
  * **end\_time** (*Optional* \*\[\**Union* \*\[\**datetime* *,* *date* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- End of the time interval, inclusive. Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789, 2006-01-20, 20060120. Mutually exclusive with at\_time.
  * **start\_time** (*Optional* \*\[\**Union* \*\[\**datetime* *,* *date* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- Start of the time interval, inclusive. Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789, 2006-01-20, 20060120. Mutually exclusive with at\_time.
  * **next\_page\_token** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Token for receiving the results from the next page of a query. Should not be used directly. To iterate through pages just use next\_page\_url response field.
  * **page\_size** (*Optional* *\[*[*int*](https://docs.python.org/3/library/functions.html#int) *]*) -- Number of items per single page of results.
  * **paging\_from** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Where does the first page start, at the start of the interval or at the end.
  * **format** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Format of the response. Supported values are json, csv. Default is json.

**Returns:**

* [DataCollection](https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/constituents/pages/4SxAThvJEKszVwNAKU88#coinmetrics._data_collection.DataCollection)
  * Snapshots of asset metric constituents.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/constituents/get_snapshots_of_asset_metric_constituents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
